diff --git a/es-app/src/MameNameMap.cpp b/es-app/src/MameNameMap.cpp
index c09c5fd..0bef527 100644
--- a/es-app/src/MameNameMap.cpp
+++ b/es-app/src/MameNameMap.cpp
@@ -30044,5 +30044,409 @@ const char* mameNameToRealName[] = {
 	"r4700le_drc", "R4700 (little) DRC", 
 	"ds5002fp", "DS5002FP", 
 	"keycus_c430", "KEYCUS C430", 
+
+	// additional rom names from mame (mame4all) 0.37b5
+	"64streej", "64th. Street - A Detective Story (Japan)", 
+	"720b", "720 Degrees (set 2)", 
+	"99lstwra", "'99 The Last War (alternate)", 
+	"actfanc1", "Act-Fancer Cybernetick Hyper Weapon (World revision 1)", 
+	"actfancj", "Act-Fancer Cybernetick Hyper Weapon (Japan revision 1)", 
+	"alexkida", "Alex Kidd (set 2)", 
+	"aliensya", "Alien Syndrome (set 2)", 
+	"aliensyb", "Alien Syndrome (set 3)", 
+	"aliensyj", "Alien Syndrome (Japan)", 
+	"altbeas2", "Altered Beast (Version 2)", 
+	"archriv2", "Arch Rivals (rev 2.0)", 
+	"ark2jp", "Arkanoid - Revenge of DOH (Japan)", 
+	"ark2us", "Arkanoid - Revenge of DOH (US)", 
+	"arkanoi2", "Arkanoid - Revenge of DOH (World)", 
+	"arkbl2", "Arkanoid (Japanese bootleg Set 2)", 
+	"arknoidj", "Arkanoid (Japan)", 
+	"arknoidu", "Arkanoid (US)", 
+	"armorca2", "Armored Car (set 2)", 
+	"astdelu1", "Asteroids Deluxe (rev 1)", 
+	"asteroi1", "Asteroids (rev 1)", 
+	"asteroib", "Asteroids (bootleg on Lunar Lander hardware)", 
+	"astorm2p", "Alien Storm (2 Player)", 
+	"atetckt2", "Tetris (Cocktail set 2)", 
+	"atetcktl", "Tetris (Cocktail set 1)", 
+	"atlants2", "Battle of Atlantis (set 2)", 
+	"auraila", "Aurail (set 2)", 
+	"avenger2", "Avengers (set 2)", 
+	"battlan2", "Battle Lane Vol. 5 (set 2)", 
+	"battlan3", "Battle Lane Vol. 5 (set 3)", 
+	"battlntj", "Battlantis (Japan)", 
+	"batugnsp", "Batsugun Special Ver.", 
+	"bayrouta", "Bay Route (set 2)", 
+	"bayrtbl1", "Bay Route (bootleg set 1)", 
+	"bayrtbl2", "Bay Route (bootleg set 2)", 
+	"berlwalt", "Berlin Wall, The (set 2)", 
+	"bermudaa", "Bermuda Triangle (US early version)", 
+	"bermudaj", "Bermuda Triangle (Japan)", 
+	"bktigerb", "Black Tiger (bootleg)", 
+	"bladstle", "Blades of Steel (version E)", 
+	"blckgalb", "Block Gal (bootleg)", 
+	"blckout2", "Block Out (set 2)", 
+	"blkdrgnb", "Black Dragon (bootleg)", 
+	"blsthead", "Blasteroids (with heads)", 
+	"blstroi2", "Blasteroids (version 2)", 
+	"blueprnj", "Blue Print (Jaleco)", 
+	"bombjac2", "Bomb Jack (set 2)", 
+	"bubbobr1", "Bubble Bobble (US)", 
+	"bublbobr", "Bubble Bobble (US with mode select)", 
+	"bullfgtj", "Tougyuu, The (Japan)", 
+	"burningh", "Burning Fight (set 2)", 
+	"bzone2", "Battle Zone (set 2)", 
+	"cabal2", "Cabal (US set 2)", 
+	"cameltru", "Camel Try (US)", 
+	"canbprot", "Canyon Bomber (prototype)", 
+	"captcomj", "Captain Commando (Japan)", 
+	"captcomu", "Captain Commando (US)", 
+	"carnvckt", "Carnival (cocktail)", 
+	"ccastle2", "Crystal Castles (set 2)", 
+	"cclimbrj", "Crazy Climber (Japan)", 
+	"centipb2", "Centipede (bootleg set 2)", 
+	"centipd2", "Centipede (revision 2)", 
+	"champbbj", "Champion Baseball (Japan)", 
+	"checkmaj", "Checkman (Japan)", 
+	"chplft", "Choplifter", 
+	"chplftb", "Choplifter (alternate)", 
+	"chplftbl", "Choplifter (bootleg)", 
+	"ckonga", "Crazy Kong (set 2)", 
+	"ckongjeu", "Crazy Kong (Jeutel bootleg)", 
+	"cninja0", "Caveman Ninja (World revision 0)", 
+	"cobracmj", "Cobra-Command (Japan)", 
+	"combasc", "Combat School (joystick)", 
+	"combascb", "Combat School (bootleg)", 
+	"combascj", "Combat School (Japan trackball)", 
+	"combasct", "Combat School (trackball)", 
+	"commandj", "Senjo no Ookami", 
+	"commandu", "Commando (US)", 
+	"contrajb", "Contra (Japan bootleg)", 
+	"cosmognj", "Cosmo Gang the Video (Japan)", 
+	"crbalon2", "Crazy Balloon (set 2)", 
+	"crimfgt2", "Crime Fighters (World 2 Players)", 
+	"crimfgtj", "Crime Fighters (Japan 2 Players)", 
+	"cyberb2p", "Cyberball 2072 (2 player)", 
+	"cyberba2", "Cyberball (Version 2)", 
+	"cyberbt", "Tournament Cyberball 2072", 
+	"darksea1", "Dark Seal (World revision 1)", 
+	"darkseaj", "Dark Seal (Japan)", 
+	"dbldyn", "Double Dynamites, The", 
+	"ddrago3b", "Double Dragon 3 - The Rosetta Stone (bootleg)", 
+	"deadconj", "Dead Connection (Japan)", 
+	"defendg", "Defender (Green label)", 
+	"defendw", "Defender (White label)", 
+	"destderb", "Demolition Derby", 
+	"destderm", "Demolition Derby (2-Player Mono Board Version)", 
+	"devstor2", "Devastators (version X)", 
+	"devstor3", "Devastators (version V)", 
+	"digdug2a", "Dig Dug II (set 2)", 
+	"digdugb", "Dig Dug (set 2)", 
+	"dkjrbl", "Donkey Kong Junior (bootleg?)", 
+	"dkjrjp", "Donkey Kong Junior (Japan)", 
+	"dkngjrjp", "Donkey Kong Jr. (Original Japanese)", 
+	"dkongjp", "Donkey Kong (Japan set 1)", 
+	"dkongjpo", "Donkey Kong (Japan set 2)", 
+	"docastl2", "Mr. Do's Castle (set 2)", 
+	"dorunru2", "Do! Run Run (set 2)", 
+	"dorunruc", "Do! Run Run (Do's Castle hardware)", 
+	"dotriku2", "Dottori Kun (old version)", 
+	"dspirito", "Dragon Spirit (old version)", 
+	"dwj", "Tenchi wo Kurau (Japan)", 
+	"earthinv", "Super Earth Invasion", 
+	"einnings", "Extra Innings", 
+	"elecyoy2", "Electric Yo-Yo, The (set 2)", 
+	"elevatob", "Elevator Action (bootleg)", 
+	"espiale", "Espial (Europe)", 
+	"exctscca", "Exciting Soccer (alternate music)", 
+	"exctsccb", "Exciting Soccer (bootleg)", 
+	"exerizrb", "Exerizer (Japan) (bootleg)", 
+	"fantzono", "Fantasy Zone (Old Ver.)", 
+	"finalizb", "Finalizer - Super Transformation (bootleg)", 
+	"firetpbl", "Fire Trap (Japan bootleg)", 
+	"flicky2", "Flicky (set 2)", 
+	"froggrmc", "Frogger (modified Moon Cresta hardware)", 
+	"frogseg1", "Frogger (Sega set 1)", 
+	"frogseg2", "Frogger (Sega set 2)", 
+	"ftsoccer", "Fighting Soccer", 
+	"galag88b", "Galaga '88 (set 2)", 
+	"galag88j", "Galaga '88 (Japan)", 
+	"galaga84", "Galaga '84", 
+	"galagab2", "Galaga (bootleg)", 
+	"galagads", "Galaga (fast shoot)", 
+	"galaxb", "Galaxian (bootleg)", 
+	"galmidw", "Galaxian (Midway)", 
+	"gangwarb", "Gang Wars (bootleg)", 
+	"gatedom1", "Gate of Doom (US revision 1)", 
+	"gaunt2p", "Gauntlet (2 Players)", 
+	"gauntir1", "Gauntlet (Intermediate Release 1)", 
+	"gauntir2", "Gauntlet (Intermediate Release 2)", 
+	"getstar", "Guardian", 
+	"getstarb", "Get Star (bootleg)", 
+	"ghoulsj", "Dai Makai-Mura (Japan)", 
+	"goldnabl", "Golden Axe (bootleg)", 
+	"goldnaxa", "Golden Axe (Version 2)", 
+	"goldnaxb", "Golden Axe (Version 2 317-0110)", 
+	"goldnaxc", "Golden Axe (Version 2 317-0122)", 
+	"goldnaxj", "Golden Axe (Version 1, Japan)", 
+	"gravitr2", "Gravitar (version 2)", 
+	"grdius2a", "Gradius II - Gofer no Yabou (Japan set 2)", 
+	"grdius2b", "Gradius II - Gofer no Yabou (Japan set 3)", 
+	"grdius3a", "Gradius III (Asia)", 
+	"gundeala", "Gun Dealer (set 2)", 
+	"gunforcu", "Gunforce - Battle Fire Engulfed Terror Island (US)", 
+	"gunfronj", "Gun Frontier (Japan)", 
+	"gunsmoka", "Gun.Smoke (US set 2)", 
+	"gunsmokj", "Gun.Smoke (Japan)", 
+	"gunsmrom", "Gun.Smoke (US set 1)", 
+	"hardhedb", "Hard Head (Bootleg)", 
+	"hcastlea", "Haunted Castle (set 2)", 
+	"hcastlej", "Akuma-Jou Dracula (Japan)", 
+	"helifira", "HeliFire (revision A)", 
+	"hitnmis2", "Hit 'n Miss (version 2.0)", 
+	"hyprolyb", "Hyper Olympic (bootleg)", 
+	"indytem2", "Indiana Jones and the Temple of Doom (set 2)", 
+	"indytem3", "Indiana Jones and the Temple of Doom (set 3)", 
+	"indytem4", "Indiana Jones and the Temple of Doom (set 4)", 
+	"intrepi2", "Intrepid (set 2)", 
+	"invrvnga", "Invader's Revenge (Dutchford)", 
+	"jackrab2", "Jack Rabbit (set 2)", 
+	"jackrabs", "Jack Rabbit (special)", 
+	"junglkj2", "Jungle King (Japan, earlier)", 
+	"junofstg", "Juno First (Gottlieb)", 
+	"jyuohki", "Jyuohki (Japan)", 
+	"kangaroa", "Kangaroo (Atari)", 
+	"kangarob", "Kangaroo (bootleg)", 
+	"karatblu", "Karate Blazers (US)", 
+	"kicka", "Kick (cocktail)", 
+	"kingbalj", "King & Balloon (Japan)", 
+	"kodure", "Kodure Ookami (Japan)", 
+	"kungfud", "Kung Fu Master (Data East)", 
+	"kuniokub", "Nekketsu Kouha Kunio-kun (Japan bootleg)", 
+	"kurikina", "Kuri Kinton (prototype?)", 
+	"kyukaido", "Kyuukai Douchuuki (Japan old version)", 
+	"lastmiss", "Last Mission (US revision 6)", 
+	"lastmss2", "Last Mission (US revision 5)", 
+	"lifefrcj", "Lifeforce (Japan)", 
+	"losttmbh", "Lost Tomb (hard)", 
+	"lstduela", "Last Duel (US set 2)", 
+	"lstduelb", "Last Duel (bootleg)", 
+	"lwingsjp", "Ales no Tsubasa (Japan)", 
+	"mainevt2", "Main Event, The (version F)", 
+	"makaimuc", "Makai-Mura (Revision C)", 
+	"makaimug", "Makai-Mura (Revision G)", 
+	"mappyjp", "Mappy (Japan)", 
+	"marblea", "Marble Madness (set 3)", 
+	"mariojp", "Mario Bros. (Japan)", 
+	"marvlanj", "Marvel Land (Japan)", 
+	"megaznik", "Mega Zone (Kosuka)", 
+	"minigol2", "Mini Golf (set 2)", 
+	"mjnquesb", "Mahjong Quest (No Nudity)", 
+	"mk2r32", "Mortal Kombat II (rev L3.2 (European))", 
+	"monwar2a", "Moon War II (set 2)", 
+	"mooncrsg", "Moon Cresta (Gremlin)", 
+	"moonwalk", "Moon Walker (Set 1)", 
+	"moonwar2", "Moon War II (set 1)", 
+	"moonwlka", "Moon Walker (Set 2)", 
+	"moonwlkb", "Moon Walker (bootleg)", 
+	"mrvikinj", "Mister Viking (Japan)", 
+	"mspacatk", "Ms. Pac-Man Plus", 
+	"myheroj", "Seishun Scandal (Japan)", 
+	"naughtya", "Naughty Boy (bootleg)", 
+	"naughtyc", "Naughty Boy (Cinematronics)", 
+	"navalone", "Navalone", 
+	"nbajamt1", "NBA Jam TE (rev 1.0 01/17/94)", 
+	"nbajamt2", "NBA Jam TE (rev 2.0 01/28/94)", 
+	"nbajamt3", "NBA Jam TE (rev 3.0 03/04/94)", 
+	"nbamaxht", "NBA Maximum Hangtime (rev 1.0)", 
+	"nebulbee", "Nebulous Bee", 
+	"nemesuk", "Nemesis (World?)", 
+	"nibblera", "Nibbler (set 2)", 
+	"ninjak2a", "Ninja Kid II (set 2)", 
+	"ninjak2b", "Ninja Kid II (set 3)", 
+	"nov2001u", "Nova 2001 (US)", 
+	"npacmod", "PuckMan (harder?)", 
+	"nprincsb", "Ninja Princess (bootleg?)", 
+	"nprincsu", "Ninja Princess (not encrypted)", 
+	"offtwalc", "Off the Wall (2-player cocktail)", 
+	"oscarj0", "Psycho-Nics Oscar (Japan revision 0)", 
+	"oscarj", "Psycho-Nics Oscar (Japan revision 2)", 
+	"outruna", "Out Run (set 2)", 
+	"outzonep", "Out Zone (bootleg)", 
+	"pacland2", "Pac-Land (set 2)", 
+	"pacland3", "Pac-Land (set 3)", 
+	"pacmanij", "Pac-Mania (Japan)", 
+	"pacmanjp", "PuckMan (Japan set 2)", 
+	"pacmanm", "Pac-Man (Midway)", 
+	"panica", "Space Panic (set 2)", 
+	"pbactio2", "Pinball Action (set 2)", 
+	"pipibibi", "Pipi & Bibis / Whoopee (Japan) [bootleg ?]", 
+	"pitfallu", "Pitfall II (not encrypted)", 
+	"pitfigh3", "Pit Fighter (version 3)", 
+	"polepos1", "Pole Position (Atari version 1)", 
+	"poleposa", "Pole Position (Atari version 2)", 
+	"poleps2a", "Pole Position II (Atari)", 
+	"poleps2b", "Pole Position II (Atari bootleg 1)", 
+	"poleps2c", "Pole Position II (Atari bootleg 2)", 
+	"popeye2", "Popeye (set 2)", 
+	"popflama", "Pop Flamer (set 2)", 
+	"poundfou", "Pound for Pound (US)", 
+	"prehislu", "Prehistoric Isle in 1930 (US)", 
+	"pulirulj", "PuLiRuLa (Japan)", 
+	"punishrj", "Punisher, The (Japan)", 
+	"punishru", "Punisher, The (US)", 
+	"punksht2", "Punk Shot (2 Players)", 
+	"puzbobb", "Puzzle Bobble (Japan, B-System)", 
+	"qadj", "Quiz & Dragons (Japan)", 
+	"qbertjp", "Q*bert (Japan)", 
+	"qtono2", "Quiz Tonosama no Yabou 2 Zenkoku-ban (Japan)", 
+	"quartetj", "Quartet (Japan)", 
+	"quartrba", "Quarterback (set 2)", 
+	"qwakprot", "Qwak (prototype)", 
+	"rainbow", "Rainbow Islands", 
+	"rainbowe", "Rainbow Islands (Extra)", 
+	"rambo3a", "Rambo III (set 2, US)", 
+	"ramprt2p", "Rampart (2-player Joystick)", 
+	"rastanu2", "Rastan (US set 2)", 
+	"rescrdsa", "Rescue Raider (Stand-Alone)", 
+	"retofin1", "Return of the Invaders (bootleg set 1)", 
+	"retofin2", "Return of the Invaders (bootleg set 2)", 
+	"ringkin2", "Ring King (set 2)", 
+	"ringkin3", "Ring King (set 3)", 
+	"robocpu0", "Robocop (US revision 0)", 
+	"robotryo", "Robotron (Yellow/Orange label)", 
+	"rockragj", "Koi no Hotrock (Japan)", 
+	"rocnropk", "Roc'n Rope (Kosuka)", 
+	"rthundro", "Rolling Thunder (old version)", 
+	"rtypepj", "R-Type (Japan prototype)", 
+	"saturn", "Saturn", 
+	"schasrcv", "Space Chaser (CV version)", 
+	"scrambls", "Scramble (Stern)", 
+	"sctionza", "Section Z (set 2)", 
+	"sdioj", "SDI - Strategic Defense Initiative (Japan)", 
+	"seganinu", "Sega Ninja (not encrypted)", 
+	"sengokh", "Sengoku / Sengoku Denshou (set 2)", 
+	"sercharu", "SAR - Search And Rescue (US)", 
+	"sf1", "Street Fighter (World)", 
+	"sf1jp", "Street Fighter (Japan)", 
+	"sf1us", "Street Fighter (US)", 
+	"sf2a", "Street Fighter II - The World Warrior (US 910206)", 
+	"sf2b", "Street Fighter II - The World Warrior (US 910214)", 
+	"sf2cea", "Street Fighter II' - Champion Edition (US rev A)", 
+	"sf2ceb", "Street Fighter II' - Champion Edition (US rev B)", 
+	"sf2cej", "Street Fighter II' - Champion Edition (Japan)", 
+	"sf2e", "Street Fighter II - The World Warrior (US 910228)", 
+	"sf2jb", "Street Fighter II - The World Warrior (Japan 910214)", 
+	"sf2t", "Street Fighter II' - Hyper Fighting (US)", 
+	"sf2tj", "Street Fighter II' Turbo - Hyper Fighting (Japan)", 
+	"sfeverbw", "Space Fever (black and white)", 
+	"shangonb", "Super Hang-On (bootleg)", 
+	"shdancrj", "Shadow Dancer (Japan)", 
+	"shinobia", "Shinobi (set 2)", 
+	"shinobib", "Shinobi (set 3)", 
+	"shinobl", "Shinobi (bootleg)", 
+	"shootoub", "Shoot Out (Korean Bootleg)", 
+	"shootouj", "Shoot Out (Japan)", 
+	"sichuana", "Sichuan II (hack ?) (set 2)", 
+	"sidearjp", "Side Arms - Hyper Dyne (Japan)", 
+	"sidearmr", "Side Arms - Hyper Dyne (US)", 
+	"sidepctb", "Side Pocket (bootleg)", 
+	"sidepctj", "Side Pocket (Japan)", 
+	"silkwrm2", "Silkworm (set 2)", 
+	"simps2pj", "Simpsons, The (2 Players Japan)", 
+	"simpsn2p", "Simpsons, The (2 Players)", 
+	"sinista1", "Sinistar (prototype version)", 
+	"sinista2", "Sinistar (revision 2)", 
+	"skingam2", "Irem Skins Game, The (US set 2)", 
+	"skullxb2", "Skull & Crossbones (set 2)", 
+	"skykiddo", "Sky Kid Deluxe (set 2)", 
+	"slapbtjp", "Slap Fight (Japan bootleg)", 
+	"slapbtuk", "Slap Fight (English bootleg)", 
+	"snowbroa", "Snow Bros. - Nick & Tom (set 2)", 
+	"snowbrob", "Snow Bros. - Nick & Tom (set 3)", 
+	"snowbroj", "Snow Bros. - Nick & Tom (Japan)", 
+	"spacfura", "Space Fury (revision A)", 
+	"spinlbrj", "Spinal Breakers (Japan)", 
+	"spinlbru", "Spinal Breakers (US)", 
+	"spnchotj", "Super Punch-Out!! (Japan)", 
+	"sptrekct", "Space Trek (cocktail)", 
+	"spyhnt2a", "Spy Hunter 2 (rev 1)", 
+	"sqixbl", "Super Qix (bootleg)", 
+	"srumblr2", "Speed Rumbler, The (set 2)", 
+	"sspacat2", "Space Attack (upright, older)", 
+	"sspacatc", "Space Attack (cocktail)", 
+	"ssrdrabd", "Sunset Riders (Asia 2 Players ver. ABD)", 
+	"ssrdrebc", "Sunset Riders (World 2 Players ver. EBC)", 
+	"ssrdrebd", "Sunset Riders (World 2 Players ver. EBD)", 
+	"ssrdrjbd", "Sunset Riders (Japan 2 Players ver. JBD)", 
+	"ssrdruac", "Sunset Riders (US 4 Players ver. UAC)", 
+	"ssrdrubc", "Sunset Riders (US 2 Players ver. UBC)", 
+	"ssrdruda", "Sunset Riders (US 4 Players ver. UDA)", 
+	"starfore", "Star Force (encrypted)", 
+	"starjacs", "Star Jacker (Stern)", 
+	"starwar1", "Star Wars (rev 1)", 
+	"stratvxb", "Stratovox (bootleg)", 
+	"streets1", "Street Smart (US version 1)", 
+	"streetsj", "Street Smart (Japan version 1)", 
+	"stridrja", "Strider Hiryu (Japan set 2)", 
+	"supbtimj", "Super Burger Time (Japan)", 
+	"superpcm", "Super Pac-Man (Midway)", 
+	"superqix", "Super Qix", 
+	"suprmou2", "Funny Mouse (bootleg?)", 
+	"surpratk", "Surprise Attack (Japan)", 
+	"tankfrcj", "Tank Force (Japan)", 
+	"tatsujn2", "Truxton II / Tatsujin II / Tatsujin Oh (Japan)", 
+	"terracra", "Terra Cresta (YM2203)", 
+	"terracrb", "Terra Cresta (YM3526 set 2)", 
+	"tetrisa", "Tetris (Sega Set 2)", 
+	"thehustj", "Hustler, The (Japan version J)", 
+	"thnderxj", "Thunder Cross (Japan)", 
+	"tigerh2", "Tiger Heli (set 2)", 
+	"timesol1", "Time Soldiers (US Rev 1)", 
+	"timscanr", "Time Scanner", 
+	"tmnt22p", "Teenage Mutant Ninja Turtles - Turtles in Time (2 Players US)", 
+	"tndrcadj", "Tokusyu Butai UAG (Japan)", 
+	"tnzs2", "NewZealand Story 2, The (World)", 
+	"tnzsb", "NewZealand Story, The (World, bootleg)", 
+	"todruagb", "Tower of Druaga (set 2)", 
+	"toki2", "Toki (set 2)", 
+	"toki3", "Toki (set 3)", 
+	"tomahaw5", "Tomahawk 777 (Revision 5)", 
+	"toobinp", "Toobin' (Prototype)", 
+	"trackflc", "Track & Field (Centuri)", 
+	"trogp", "Trog (prototype, rev 4.00 07/27/90)", 
+	"tsamura2", "Samurai Nihon-ichi (set 2)", 
+	"tumblep2", "Tumble Pop (bootleg set 2)", 
+	"tumblepb", "Tumble Pop (bootleg set 1)", 
+	"tutankst", "Tutankham (Stern)", 
+	"twincobu", "Twin Cobra (US)", 
+	"vangrdce", "Vanguard (Centuri)", 
+	"vanvans", "Van Van Car (Sanritsu)", 
+	"vaportru", "Vapor Trail - Hyper Offence Formation (US)", 
+	"vendett2", "Vendetta (Asia set 2)", 
+	"vendettj", "Crime Fighters 2 (Japan)", 
+	"vigilntj", "Vigilante (Japan)", 
+	"vigilntu", "Vigilante (US)", 
+	"vimana2", "Vimana (set 2)", 
+	"vsyard", "10 Yard Fight (Vs. version 11/05/84)", 
+	"vsyard2", "10 Yard Fight (Vs. version, set 2)", 
+	"vulgus2", "Vulgus (set 2)", 
+	"warlord", "Warlords", 
+	"warpwar2", "Warp Warp (Rock-ola set 2)", 
+	"warpwarr", "Warp Warp (Rock-ola set 1)", 
+	"wb3a", "Wonder Boy III - Monster Lair (set 2)", 
+	"wb3bl", "Wonder Boy III - Monster Lair (bootleg)", 
+	"wbmlj", "Wonder Boy in Monster Land (Japan set 1)", 
+	"wbmlj2", "Wonder Boy in Monster Land (Japan set 2)", 
+	"wbmlju", "Wonder Boy in Monster Land (Japan not encrypted)", 
+	"wboy4u", "Wonder Boy (set 4 not encrypted)", 
+	"wexpresb", "Western Express (bootleg)", 
+	"wwester1", "Wild Western (set 2)", 
+	"yard", "10 Yard Fight", 
+	"yokaidko", "Yokai Douchuuki (Japan old version)", 
+	"youkaidk", "Yokai Douchuuki (Japan new version)", 
+	"zzyzzyx2", "Zzyzzyxx (set 2)", 
+
 	NULL
 };
